Redmine - Defect #4693

Add Group: 'hashed_password' cannot be null
2010-01-30 08:46 - Alexander Kulemin

Status: Closed Start date: 2010-01-30
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Groups Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 0.9.0
Description

Hello,

I've updated redmine to the 0.9RC from 0.8.5. When | try to create a new group | get an error:

ActiveRecord: :StatementInvalid in GroupsController#create

Mysqgl::Error: Column 'hashed_password' cannot be null: INSERT INTO “users ( created_on , "hashed_

password’, “admin’, ‘language , "~ lastname’, "mail’, “updated_on', “type’, "firstname', "mail_notif

ication’, “login’, “status’, “identity_url', ‘last_login_on’, ‘auth_source_id') VALUES('2010-01-30
12:46:56', NULL, 0, NULL, '23', NULL, '2010-01-30 12:46:56', 'Group', NULL, 1, NULL, 1, NULL, NUL

L, NULL)

RAILS_ROOT: C:/Program Files/BitNami Redmine Stack/apps/redmine

Application Trace | Framework Trace | Full Trace

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/connection_adapters/abstract_adapter.rb:219:in "log'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/connection_adapters/mysql_adapter.rb:323:in " execute'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/connection_adapters/abstract/database_statements.rb:259:in "insert_sqgl'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/connection_adapters/mysql_adapter.rb:333:in "insert_sqgl'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/connection_adapters/abstract/database_statements.rb:44:in "insert_without_query_dirty'
C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/connection_adapters/abstract/query_cache.rb:18:in "insert'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/base.rb:2908:in "create_without_timestamps'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/timestamp.rb:53:in ‘create_without_callbacks'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/callbacks.rb:266:in “create'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/base.rb:2874:in "create_or_update_without_callbacks'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/callbacks.rb:250:in "“create_or_update'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/base.rb:2538:in "save_without_validation'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/validations.rb:1078:in "~save_without_dirty'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/dirty.rb:79:in "save_without_transactions'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/transactions.rb:229:in "send'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/transactions.rb:229:in ‘with_transaction_returning_status'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/connection_adapters/abstract/database_statements.rb:136:in "transaction'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/transactions.rb:182:in ‘transaction'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/transactions.rb:228:in ‘with_transaction_returning_status'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/transactions.rb:196:in " save'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/transactions.rb:208:in ‘rollback_active_record_state!’

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/1lib/active_r
ecord/transactions.rb:196:in " save'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/controllers/groups_controller.rb:69:in “cr
eate'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/controllers/groups_controller.rb:68:in “cr
eate'

Request

Parameters:
{"group"=>{"lastname"=>"23"},

"commit"=>"CosmaTn",
"authenticity_token"=>"gK9gtyR8XSL1wqzT4X1ij1XM/prFQb5sAoRQC1IhILjKc="}

Related issues:
Is duplicate of Redmine - Defect #4632: Error when adding/creating groups Closed 2010-01-22

History

#1 - 2010-01-30 11:18 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Dup of #4632 which is fixed in r3343.
https://www.redmine.org/issues/4632
https://www.redmine.org/projects/redmine/repository/svn/revisions/3343
http://www.tcpdf.org

